<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaAnmeldung\FilterBelegungen;

class FilterBelegungenController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new FilterBelegungenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    return new FilterBelegungenRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new FilterBelegungenPresenter($pUseCaseResponse);
  }
}